# std::chrono::operator<< (std::chrono::weekday_indexed)

From cppreference.com
< cpp‎ | chrono‎ | weekday indexed

template <class CharT, class Traits> std::basic_ostream <CharT, Traits>& operator<<( std::basic_ostream <CharT, Traits>& os, const std::chrono::weekday_indexed & wdi); |  | (since C++20)

Outputs a textual representation of `wdi` into the stream `os`, as if by:

    os << wdi.weekday() << '[' << wdi.index();
    if(wdi.index() >=1 && wdi.index <= 5) {
        os << ']';
    }
    else {
        os << " is not a valid index]";
    }

### Return value

`os`.

### Notes

This `operator<<` is primarily intended for debugging use. When used with non-default stream flags, the output may be surprising:

    auto wdi = std::chrono::Sunday[1];
    std::cout.width(10);
    std::cout.fill('-');
    std::cout << std::left << wdi; // may output "Sun-------[1]"

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/chrono/weekday_indexed/operator_ltlt&oldid=104784"